Subject: No-Name BBS Program pre-release version 5.0
From: [email-masked] (Jason Hitt)
Date: 2 Jul 1994 22:47:49 GMT
Newsgroups: comp.os.linux.announce

ANNOUNCEMENT --- ANNOUNCEMENT --- ANNOUNCEMENT --- ANNOUNCEMENT --- ANNOUNCEMENT

	This is an announcement about my "No-Name BBS Program" PRE-RELEASE
version 5.0.  I am sorry about taking so long with this, but that is the
way things are when you work and go to school.

	hitman

ANNOUNCEMENT --- ANNOUNCEMENT --- ANNOUNCEMENT --- ANNOUNCEMENT --- ANNOUNCEMENT

#
# file: README.bbs-5.0
# version: [$Id: README.bbs-5.0,v 1.4 1994/06/30 19:10:53 hitman Exp $]
#
#

Welcome to my little "No-Named BBS System". . .

A few things, if anyone comes up with a name for this bbs package please
send two patches and some comments to [email-masked], with the name.

I follow the GNU License Agreement.  This is a PRE-RELEASE to version 6.0
or something like that.  I have been running this package for about 3 weeks
and the entire concept for 5 months in some form.  The files in ./help will
helps you figure out what is going on, I don't have much documentation
(NONE) and as long as you follow the ./help/menu_specs.txt for the menus
you will have no problems.

-- To Install --

cp /dev/null .depends
make all
cp bbs_script menu_edit ../

----------------

	Try the makefile as default, look it over first and don't run as root,
if that doesn't work try the other.  Edit the paths and all.  bbs_script is 
the main program, this is called by a script in user local bin.  The script 
is as follows:

-- /usr/local/bin/bbs --

#!/bin/sh
cd /usr/local/bbs-5.0
exec ./bbs_script

------------------------

This is assuming you are installing in /usr/local/bin and you did a make
install.  This should also be put in /etc/shells.

-- To Make Menus --

vi menu/$MENU_NAME.menu
menu_edit $MENU_NAME

-------------------

	To make menus, edit the appropriate ./menu/menu_name.menu file and then 
type: "menu_edit menu_name"  This builds a menu file in your local
directory, witch should be the root of your BBS set up.  I am later going
to put all these in a data directory.  Write it and patch it, I will give
you the credit, don't worry about that.  I have included many, many menu
examples, pre-compiled and ready to go.  Please edit these and change them
to your needs, I don't need hundred of systems just like mine out there.

	Remember this is a pre-release, so comment much and look for the next
version.  I am starting a mailing list, [email-masked], 
after I get more UUCP systems connected I will post alternative addresses.
Please include "X-Key: BBS-PROJ" in the header of the message.  I will just
gather up the messages and then mail them out through the list.

	When you send your comments please add the following in the message:

-- mail note --
Name:				# What ever you want to be called.
Email Address:		# Places you can be reached.
System Type:		# Usually a "uname" -a will do.
BBS Version:		# Please include major and minor numbers. ex. v5.0, 35.101.98.15a

---------------

	Make sure you check out the TODO list. . .

	Development packages are available with full source trees. . .

	Have fun...ask questions and make comments. . .

		The Hitman 1994
		[email-masked]
		[email-masked]

 ---[ bbs-5.0-src.lsm ]---
Begin2
Title        = No-Name Bulletin Board System
Version      = 5.0 (??.??.??.??a)
Desc1        = Menu based user interface shell, Easy to use BBS system.
Desc2        = Simular to M$-DO$ based BBS systems, using the power of
Desc3        = Unix.  You too can get the simpleness of M$-DO$ and the 
Desc4        = flexability of Unix.
Desc5        =
Author       = The Hitman 1994
AuthorEmail  = [email-masked], [email-masked]
Maintainer   = The Hitman 1994
MaintEmail   = [email-masked], [email-masked]
Site1        = sunsite.unc.edu (permission denied on upload, will try again)
Path1        = /pub/Linux/Incomming (/pub/Linux/BBS)
File1        = bbs-5.0-src.tar.gz
FileSize1    = aprox. 70237 Bytes
Site2        = nic.funet.fi
Path2        = /pub/OS/linux/Incomming (/pub/OS/linux/BBS)
File2        = bbs-5.0-src.tar.gz
FileSize2    = aprox. 70237 Bytes
Site3        = fhilx2.outpost23.org (...!cns!clutter!fhilx2) (301-475-8721)
Path3        = /pub/OS/unix/BBS
File3        = bbs-5.0-src.tar.gz
FileSize3    = aprox. 70237 Bytes
Required1    = Unix Based Computer System; ANSI C Compiler; Terminal modes:
Required2    = console, vt100, ansi, color-ansi; Creativity.
Required3    =
Required4    = Understanding of Makefiles.
CopyPolicy1  = (c)Send me comments and questions!
CopyPolicy2  = (c)1994 GNU General Licencing Agreement.
Keywords     = BBS menu interface user easy hitman
Comment1     = Tested on: Digital AXP/OSF DEC 4000/710, 
Comment2     = Intel 386dx40 Linux 1.1.13.  Should work on any Unix
Comment3     = platform, and in NO WAY HARDWARE DEPENDENT.
Comment4     = Warning: PRE-RELEASE No Installation Manual: make install
RelFiles1    = Baseline ANSI C Source, Basic menu (binary/text) setup.
RelFiles2    =
RelFiles3    =
Entered      = 01JUL94
EnteredBy    = The Hitman 1994
CheckedEmail = [email-masked]
End

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.